﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Snowlight.Communication
{
    public static class OpcodesOut
    {
        public const uint HELLO = 0;
        public const uint SECRET_KEY = 1;
        public const uint USER_RIGHTS = 2;
        public const uint AUTHENTICATION_OK = 3;
        public const uint USER_OBJECT = 5;
        public const uint CREDITS_BALANCE = 6;
        public const uint SUBSCRIPTION_STATUS = 7;
        public const uint ROOM_KICKED = 18;
        public const uint ROOM_OPEN_FLAT = 19;
        public const uint MESSENGER_FRIENDS_LIST = 12;
        public const uint MESSENGER_UPDATES = 13;
        public const uint ROOM_CHAT_SAY = 24;
        public const uint ROOM_CHAT_WHISPER = 25;
        public const uint ROOM_CHAT_SHOUT = 26;
        public const uint ROOM_MUTED = 27;
        public const uint ROOM_USER_LIST = 28;
        public const uint ROOM_STATIC_OBJECTS = 30;
        public const uint ROOM_HEIGHTMAP = 31;
        public const uint ROOM_FLOOR_OBJECTS = 32;
        public const uint GENERIC_ERROR = 33;
        public const uint ROOM_USER_STATUS_LIST = 34;
        public const uint CATALOG_VERIFY_PET_NAME_RESULT = 36;
        public const uint ROOM_DOORBELL_ACCEPTED = 41;
        public const uint ROOM_RIGHTS = 42;
        public const uint ROOM_RIGHTS_REMOVED = 43;
        public const uint ROOM_WALL_OBJECTS = 45;
        public const uint ROOM_DECORATION = 46;
        public const uint ROOM_RIGHTS_OWNER = 47;
        public const uint STICKY_DATA = 48;
        public const uint PING = 50;
        public const uint ROOM_CREATE_RESULT = 59;
        public const uint CATALOG_PURCHASE_RESULT = 67;
        public const uint CATALOG_PURCHASE_BALANCE_ERROR = 68;
        public const uint ROOM_ENTRY_MODEL = 69;
        public const uint INFOBUS_QUESTION_START = 79;
        public const uint INFOBUS_QUESTION_RESULT = 80;
        public const uint ROOM_WALL_ITEM_PLACED = 83;
        public const uint ROOM_WALL_ITEM_REMOVED = 84;
        public const uint ROOM_WALL_ITEM_MOVED = 85;
        public const uint ROOM_FLOOR_ITEM_UPDATE_FLAGS = 88;
        public const uint ROOM_DOORBELL = 91;
        public const uint ROOM_ITEM_PLACED = 93;
        public const uint ROOM_REMOVE_FLOOR_ITEM = 94;
        public const uint ROOM_ITEM_UPDATED = 95;
        public const uint INVENTORY_ITEM_ADDED = 98;
        public const uint INVENTORY_ITEM_REMOVED = 99;
        public const uint INVENTORY_REFRESH = 101;
        public const uint ROOM_TRADE_INITIATED = 104;
        public const uint ROOM_TRADE_CANNOT_INITIATE = 105;
        public const uint ROOM_TRADE_OFFERS = 108;
        public const uint ROOM_TRADE_ACCEPT_STATE = 109;
        public const uint ROOM_TRADE_ABORTED = 110;
        public const uint ROOM_TRADE_FINALIZING = 111;
        public const uint ROOM_TRADE_FINALIZED = 112;
        public const uint CATALOG_INDEX = 126;
        public const uint CATALOG_PAGE = 127;
        public const uint ROOM_DOORBELL_NO_RESPONSE = 131;
        public const uint MESSENGER_REQUEST_NOTIFICATION = 132;
        public const uint MESSENGER_IM_MESSAGE = 134;
        public const uint MESSENGER_IM_INVITE = 135;
        public const uint NOTIFICATION_HOTEL_MANAGER = 139;
        public const uint INVENTORY = 140;
        public const uint NOTIFICATION = 161;
        public const uint ROOM_URL = 166;
        public const uint CATALOG_REDEEM_OK = 212;
        public const uint CATALOG_REDEEM_ERROR = 213;
        public const uint NAVIGATOR_FLAT_CATEGORIES = 221;
        public const uint ROOM_JOIN_ERROR = 224;
        public const uint ROOM_USER_BADGES = 228;
        public const uint USER_BADGE_INVENTORY = 229;
        public const uint ROLLER_EVENT = 230;
        public const uint SESSION_PARAMS = 257;
        public const uint MESSENGER_ERROR_EVENT = 260;
        public const uint MESSENGER_IM_ERROR = 261;
        public const uint USER_INFO_UPDATE = 266;
        public const uint USER_WARDROBE = 267;
        public const uint INIT_CRYPTO = 277;
        public const uint CLUB_GIFT_READY = 280;
        public const uint MESSENGER_FOLLOW_RESULT = 286;
        public const uint DISCONNECT_REASON = 287;
        public const uint ROOM_FURNI_CAMPAIGNS = 297;
        public const uint ERROR_NOTIFICATION = 299;
        public const uint SONG_DATA = 300;
        public const uint CLIENT_CONFIG = 308;
        public const uint ROOM_GROUP_BADGES = 309;
        public const uint HELP_SUBMIT_CFH_RESULT = 321;
        public const uint MESSENGER_REQUESTS_LIST = 314;
        public const uint HELP_CFH_DELETED_OK = 320;
        public const uint MUSIC_PLAYING = 327;
        public const uint JUKEBOX_DISKS = 333;
        public const uint JUKEBOX_PLAYLIST = 334;
        public const uint ROOM_RATING_INFO = 345;
        public const uint ROOM_USER_TAGS = 350;
        public const uint SESSION_LATENCY_TEST = 354;
        public const uint ROOM_USER_TYPING = 361;
        public const uint MOODLIGHT_DATA = 365;
        public const uint ROOM_EVENT_CAN_CREATE = 367;
        public const uint ROOM_EVENT_INFO = 370;
        public const uint ROOM_IGNORE_RESULT = 419;
        public const uint IGNORED_USERS_LIST = 420;
        public const uint MESSENGER_SEARCH_RESULT = 435;
        public const uint ACHIEVEMENTS_LIST = 436;
        public const uint ACHIEVEMENT_UNLOCKED = 437;
        public const uint ACTIVITY_POINTS_BALANCE = 438;
        public const uint UNIQUE_MACHINE_ID = 439;
        public const uint ROOM_USER_RESPECTED = 440;
        public const uint CATALOG_UPDATED_NOTIFICATION = 441;
        public const uint ACHIEVEMENT_SCORE_UPDATE = 443;
        public const uint NAVIGATOR_OFFICIAL_ROOMS = 450;
        public const uint NAVIGATOR_ROOM_LIST = 451;
        public const uint NAVIGATOR_POPULAR_TAGS = 452;
        public const uint ROOM_PUBLIC_MODELDATA = 453;
        public const uint ROOM_INFO = 454;
        public const uint USER_HOME_ROOM = 455;
        public const uint ROOM_UPDATED_NOTIFICATION_2 = 456;
        public const uint ROOM_UPDATED_NOTIFICATION_3 = 457;
        public const uint NAVIGATOR_FAVORITE_ROOMS = 458;
        public const uint NAVIGATOR_FAVORITE_ROOMS_CHANGED = 459;
        public const uint USER_EFFECT_LIST = 460;
        public const uint USER_EFFECT_ADDED = 461;
        public const uint USER_EFFECT_ACTIVATED = 462;
        public const uint USER_EFFECT_EXPIRED = 463;
        public const uint ROOM_EDIT_INFO = 465;
        public const uint ROOM_UPDATED_NOTIFICATION_1 = 467;
        public const uint ROOM_HEIGHTMAP_RELATIVE = 470;
        public const uint ROOM_INFO_RIGHTS = 471;
        public const uint ROOM_WALLS_STATUS = 472;
        public const uint ROOM_USER_DANCE = 480;
        public const uint ROOM_USER_WAVE = 481;
        public const uint ROOM_USER_CARRY = 482;
        public const uint ROOM_USER_EFFECT = 485;
        public const uint ROOM_USER_SLEEP = 486;
        public const uint CATALOG_RECYCLER_REWARDS = 506;
        public const uint CATALOG_RECYLCER_CONFIG = 507;
        public const uint CATALOG_RECYCLER_RESULT = 508;
        public const uint ROOM_RIGHTS_GIVEN_CONFIRMATION = 510;
        public const uint ROOM_RIGHTS_REMOVED_CONFIRMATION = 511;
        public const uint ROOM_CAN_CREATE_RESULT = 512;
        public const uint ROOM_ITEM_PLACEMENT_ERROR = 516;
        public const uint INFO_FEED_ENABLE = 517;
        public const uint HELP_HOMEPAGE = 518;
        public const uint HELP_CATEGORY_LIST = 519;
        public const uint HELP_TOPIC = 520;
        public const uint HELP_SEARCH_RESULTS = 521;
        public const uint HELP_TOPIC_LIST = 522;
        public const uint MODERATION_TICKET = 530;
        public const uint MODERATION_TOOL_INIT = 531;
        public const uint MODERATION_PICKING_ERROR = 532;
        public const uint MODERATION_USER_INFO = 533;
        public const uint MODERATION_CHATLOGS_TICKET = 534;
        public const uint MODERATION_CHATLOGS_ROOM = 535;
        public const uint MODERATION_CHATLOGS_USER = 536;
        public const uint MODERATION_ROOM_VISITS = 537;
        public const uint MODERATION_ROOM_INFO = 538;
        public const uint HELP_CFH_CLOSED_RESULT = 540;
        public const uint INVENTORY_PETS = 600;
        public const uint ROOM_PET_INFO = 601;
        public const uint INVENTORY_PET_ADDED = 603;
        public const uint INVENTORY_PET_REMOVED = 604;
        public const uint ROOM_PET_UPDATE = 609;
        public const uint CATALOG_CAN_GIFT = 622;
        public const uint CATALOG_CLUB_OFFERS = 625;
        public const uint ACHIEVEMENT_DATA_LIST = 627;
        public const uint FIREWORKS_CHARGE_INFO = 629;
        public const uint WIRED_FURNI_TRIGGER = 650;
        public const uint WIRED_FURNI_ACTION = 651;
        public const uint WIRED_FURNI_CONDITION = 652;
        public const uint QUEST_LIST = 800;
        public const uint QUEST_COMPLETED = 801;
        public const uint QUEST_STARTED = 802;
        public const uint QUEST_ABORTED = 803;
        public const uint USER_ALERT_MODERN = 808;
        public const uint MESSAGE_OF_THE_DAY = 810;
        public const uint CATALOG_PET_DATA = 827;
        public const uint FRIEND_BAR_RESULT = 831;
        public const uint INVENTORY_NEW_ITEM = 832;
        public const uint MESSENGER_FRIEND_EVENT = 833;
        public const uint ACHIEVEMENTS_PROGRESS_UPDATE = 913;
        public const uint GET_STREAM_EVENT = 950;
    }

    public static class OpcodesIn
    {
        public const uint ROOM_OPEN_PUBLIC = 2;
        public const uint USER_GET_INFO = 7;
        public const uint USER_GET_BALANCE = 8;
        public const uint MESSENGER_INIT = 12;
        public const uint MESSENGER_UPDATE = 15;
        public const uint NAVIGATOR_ADD_FAVORITE = 19;
        public const uint NAVIGATOR_REMOVE_FAVORITE = 20;
        public const uint ROOM_DELETE = 23;
        public const uint USER_GET_SUBSCRIPTION_DATA = 26;
        public const uint ROOM_CREATE = 29;
        public const uint MESSENGER_SEND_IM = 33;
        public const uint MESSENGER_SEND_IM_INVITE = 34;
        public const uint MESSENGER_FRIEND_ACCEPT = 37;
        public const uint MESSENGER_FRIEND_DECLINE = 38;
        public const uint MESSENGER_FRIEND_REQUEST = 39;
        public const uint MESSENGER_REMOVE_BUDDY = 40;
        public const uint MESSENGER_SEARCH = 41;
        public const uint CATALOG_VERIFY_PET_NAME = 42;
        public const uint USER_CHANGE_LOOK = 44;
        public const uint ROOM_CHAT_TALK = 52;
        public const uint ROOM_EXIT = 53;
        public const uint ROOM_CHAT_SHOUT = 55;
        public const uint ROOM_CHAT_WHISPER = 56;
        public const uint ROOM_CONTINUE_LOAD = 59;
        public const uint ROOM_APPLY_DECORATION = 66;
        public const uint ROOM_ITEM_TAKE = 67;
        public const uint ROOM_TRADE_MODIFY = 68;
        public const uint ROOM_TRADE_ACCEPT = 69;
        public const uint ROOM_TRADE_STOP = 70;
        public const uint ROOM_TRADE_INITIATE = 71;
        public const uint ROOM_TRADE_OFFER = 72;
        public const uint ROOM_MOVE_FLOOR_ITEM = 73;
        public const uint ROOM_MOVE_TO = 75;
        public const uint ITEM_ACTIVATE_DICE_1 = 76;
        public const uint ITEM_ACTIVATE_DICE_2 = 77;
        public const uint ROOM_CHANGE_ROTATION = 79;
        public const uint OPEN_STICKY = 83;
        public const uint SAVE_STICKY = 84;
        public const uint DELETE_STICKY = 85;
        public const uint ROOM_ITEM_PLACE = 90;
        public const uint ROOM_MOVE_WALL_ITEM = 91;
        public const uint ROOM_DANCE = 93;
        public const uint ROOM_WAVE = 94;
        public const uint ROOM_KICK = 95;
        public const uint ROOM_RIGHTS_GIVE = 96;
        public const uint ROOM_RIGHTS_TAKE = 97;
        public const uint ROOM_ANSWER_DOORBELL = 98;
        public const uint CATALOG_PURCHASE = 100;
        public const uint CATALOG_GET_INDEX = 101;
        public const uint CATALOG_GET_PAGE = 102;
        public const uint INFOBUS_SUBMIT_ANSWER = 112;
        public const uint INFOBUS_ENTER = 113;
        public const uint CATALOG_REDEEM_VOUCHER = 129;
        public const uint NAVIGATOR_GET_CATEGORIES = 151;
        public const uint ROOM_RIGHTS_TAKE_ALL = 155;
        public const uint USER_INVENTORY_BADGES = 157;
        public const uint USER_SET_BADGES = 158;
        public const uint USER_UPDATE_BADGES = 158;
        public const uint ROOM_GET_USER_BADGES = 159;
        public const uint ROOM_GET_INTERSTITIAL_ADVERTISEMENT = 182;
        public const uint ITEM_ACTIVATE_EXCHANGE = 183;
        public const uint SESSION_PONG = 196;
        public const uint MODERATION_ALERT_ROOM = 200;
        public const uint INIT_CRYPTO = 206;
        public const uint ROOM_GET_CAMPAIGNS = 215;
        public const uint GET_MUSIC_DATA = 221;
        public const uint SYNC_MUSIC = 249;
        public const uint JUKEBOX_PLAYLIST_ADD = 255;
        public const uint JUKEBOX_PLAYLIST_REMOVE = 256;
        public const uint SESSION_CLIENT_CONFIGURATION = 229;
        public const uint ROOM_GET_GROUP_BADGES = 230;
        public const uint ITEM_ACTIVATE_ONE_WAY_GATE = 232;
        public const uint NAVIGATOR_ENTER_ROOM_INQUIRED_UNKNOWN = 233;
        public const uint HELP_DELETE_PENDING_CFH = 238;
        public const uint ITEM_ACTIVATE_HABBO_WHEEL = 247;
        public const uint JUKEBOX_GET_DISKS = 259;
        public const uint JUKEBOX_GET_PLAYLIST = 258;
        public const uint ROOM_RATE = 261;
        public const uint MESSENGER_FOLLOW_BUDDY = 262;
        public const uint ROOM_GET_USER_TAGS = 263;
        public const uint ITEM_ACTIVATE_LOVE_SHUFFLER = 314;
        public const uint SESSION_LATENCY_TEST = 315;
        public const uint ROOM_CHAT_START_TYPING = 317;
        public const uint ROOM_CHAT_STOP_TYPING = 318;
        public const uint ROOM_IGNORE = 319;
        public const uint ROOM_BAN = 320;
        public const uint USER_GET_IGNORED_USERS = 321;
        public const uint ROOM_LISTEN = 322;
        public const uint ROOM_EVENT_CHECK_CAN_CREATE = 345;
        public const uint ROOM_EVENT_CREATE = 346;
        public const uint ROOM_EVENT_STOP = 347;
        public const uint ROOM_EVENT_EDIT = 348;
        public const uint ACHIEVEMENTS_GET_LIST = 370;
        public const uint ROOM_RESPECT = 371;
        public const uint USER_EFFECT_APPLY = 372;
        public const uint USER_EFFECT_ACTIVATE = 373;
        public const uint USER_WARDROBE_GET = 375;
        public const uint USER_WARDROBE_SAVE = 376;
        public const uint NAVIGATOR_GET_OFFICIAL_ROOMS = 380;
        public const uint NAVIGATOR_GET_POPULAR_TAGS = 382;
        public const uint ROOM_SET_HOME = 384;
        public const uint ROOM_GET_INFO = 385;
        public const uint ROOM_SET_ICON = 386;
        public const uint ROOM_CREATE_CHECK = 387;
        public const uint ROOM_GET_PUB_DATA = 388;
        public const uint ROOM_GET_OBJECTS = 390;
        public const uint ROOM_OPEN_FLAT = 391;
        public const uint ITEM_ACTIVATE_GENERIC_FLOOR = 392;
        public const uint ITEM_ACTIVATE_GENERIC_WALL = 393;
        public const uint MOODLIGHT_INFO = 341;
        public const uint MOODLIGHT_UPDATE = 342;
        public const uint MOODLIGHT_SWITCH = 343;
        public const uint RECYCLER_BEGIN = 414;
        public const uint ROOM_EDIT_GET_INFO = 400;
        public const uint ROOM_EDIT_SUBMIT = 401;
        public const uint ROOM_TRADE_COMPLETE = 402;
        public const uint ROOM_TRADE_END = 403;
        public const uint USER_INVENTORY_OBJECTS = 404;
        public const uint ROOM_TRADE_TAKE_BACK = 405;
        public const uint CATALOG_GET_RECYCLER_REWARDS = 412;
        public const uint CATALOG_GET_RECYCLER_CONFIG = 413;
        public const uint CATALOG_RECYCLE_ITEMS = 414;
        public const uint USER_SSO_LOGIN = 415;
        public const uint HELP_HOMEPAGE = 416;
        public const uint HELP_GET_CATEGORIES = 417;
        public const uint HELP_VIEW_TOPIC = 418;
        public const uint HELP_SEARCH = 419;
        public const uint HELP_VIEW_CATEGORY = 420;
        public const uint SESSION_USER_AGENT_INFORMATION = 421;
        public const uint NAVIGATOR_GET_POPULAR_ROOMS = 430;
        public const uint NAVIGATOR_GET_RATED_ROOMS = 431;
        public const uint NAVIGATOR_GET_FRIENDS_ROOMS = 432;
        public const uint NAVIGATOR_GET_ROOMS_WITH_FRIENDS = 433;
        public const uint NAVIGATOR_GET_USER_ROOMS = 434;
        public const uint NAVIGATOR_GET_FAVORITE_ROOMS = 435;
        public const uint NAVIGATOR_GET_RECENT_ROOMS = 436;
        public const uint NAVIGATOR_SEARCH = 437;
        public const uint NAVIGATOR_SEARCH_TAGS = 438;
        public const uint NAVIGATOR_GET_EVENTS = 439;
        public const uint ROOM_KICK_BOT = 441;
        public const uint MODERATION_TICKET_PICK = 450;
        public const uint MODERATION_TICKET_RELEASE = 451;
        public const uint MODERATION_TICKET_CLOSE = 452;
        public const uint HELP_SUBMIT_CFH = 453;
        public const uint MODERATION_GET_USER_INFO = 454;
        public const uint MODERATION_GET_USER_CHATLOG = 455;
        public const uint MODERATION_GET_ROOM_CHATLOG = 456;
        public const uint MODERATION_GET_TICKET_CHATLOG = 457;
        public const uint MODERATION_GET_USER_VISITS = 458;
        public const uint MODERATION_GET_ROOM_INFO = 459;
        public const uint MODERATION_ROOM_ACTION = 460;
        public const uint MODERATION_USER_CAUTION = 461;
        public const uint MODERATION_USER_MESSAGE = 462;
        public const uint MODERATION_KICK = 463;
        public const uint MODERATION_BAN = 464;
        public const uint SESSION_DEBUG_EVENT = 482;
        public const uint ROOM_ADD_TO_STAFF_PICKED = 483;
        public const uint USER_CHANGE_MOTTO = 484;
        public const uint FRIEND_BAR_FIND_NEW_FRIENDS = 490;
        public const uint SESSION_DISCONNECT_EVENT = 512;
        public const uint USER_TRY_LOGIN = 756;
        public const uint UNIQUE_ID = 813;
        public const uint VERSION_CHECKING = 1170;
        public const uint USER_GET_SESSION_PARAMS = 1817;
        public const uint GENERATE_SECRET_KEY = 2002;
        public const uint USER_INVENTORY_PETS = 3000;
        public const uint PETS_GET_INFO = 3001;
        public const uint PLACE_PET = 3002;
        public const uint PET_TAKE = 3003;
        public const uint PET_GET_TRAINING_INFO = 3004;
        public const uint PET_RESPECT = 3005;
        public const uint CATALOG_GET_PET_DATA = 3007;
        public const uint CATALOG_CAN_GIFT = 3030;
        public const uint CATALOG_GET_CLUB_OFFERS = 3031;
        public const uint QUESTS_GET_LIST = 3101;
        public const uint QUESTS_ACTIVATE = 3102;
        public const uint QUESTS_CANCEL = 3106;
        public const uint QUESTS_GET_CURRENT = 3107;
        public const uint USER_INVENTORY_MARK_TAB_READ = 3111;
        public const uint ROOM_ITEM_PLACE_STICKY = 3254;
    }
}
